Summary: Python module for GNU parted
Name:    pyparted
Version: 1.8.1
Release: 4%{?dist}
License: GPL
Group:   System Environment/Libraries

Source0: http://people.redhat.com/dcantrel/%{name}/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Patch0: pyparted-1.8.1-nocache.patch

BuildRequires: python-devel, parted-devel >= 1.8.1-4
Requires: parted >= 1.8.1

%description
Python modules for the parted library.  It is used for manipulation
partition tables.

%prep
%setup -q
%patch0 -p 1 -b .nocache

%build
export CFLAGS="-fPIC -O2 -g2"
PYVER=$(%{__python} -c "import sys; print sys.version[:3]")
if [ ! -x configure ]; then
	./autogen.sh --with-python-version=$PYVER
fi
%configure --with-python-version=$PYVER
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README COPYING
%dir %{_libdir}/python?.?/site-packages/
%{_libdir}/python?.?/site-packages/*.so

%changelog
* Sun Dec 17 2006 Peter Jones <pjones@redhat.com> - 1.8.1-4
- Flush devices from parted's device cache, or else they become stail when
  devices are renamed (removes destroy() call).
- Resolves: #219965

* Thu Dec 14 2006 Peter Jones <pjones@redhat.com> - 1.8.1-3
- Fix parted.PedDevice.destroy() call.
- Related: rhbz#218861

* Thu Dec 14 2006 David Cantrell <dcantrell@redhat.com> - 1.8.1-2
- Add parted.PedDevice.destroy() call to ped_device_destroy() in libparted.
  Needed to remove cached devices from the device list so future get()
  calls return correct info.
- Related: rhbz#218861

* Tue Dec 05 2006 David Cantrell <dcantrell@redhat.com> - 1.8.1-1
- Rebuild for GNU parted-1.8.1
- Determine Python version to use in %%build so the source RPM is more
  easily moved between distribution releases.
- Resolves: rhbz#218087

* Fri Nov 17 2006 David Cantrell <dcantrell@redhat.com> - 1.8.0-1
- Bump version to 1.8.0 and require parted >= 1.8.0
- Remove python-abi Requires line since rpm handles that automatically

* Wed Aug 30 2006 David Cantrell <dcantrell@redhat.com> - 1.7.3-1
- Include parted/constraint.h in required header files

* Wed Aug 30 2006 David Cantrell <dcantrell@redhat.com> - 1.7.2-2
- Require parted-1.7.1 or higher

* Tue Jul 25 2006 David Cantrell <dcantrell@redhat.com> - 1.7.2-1
- Add HPSERVICE, PALO, PREP, and MSFT_RESERVED to partition types list

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1.7.1-1.1
- rebuild

* Sun May 28 2006 David Cantrell <dcantrell@redhat.com> - 1.7.1-1
- Bump version to 1.7.1 and require parted >= 1.7.1

* Fri May 19 2006 David Cantrell <dcantrell@redhat.com> - 1.7.0-1
- Bump version to 1.7.0 and require parted >= 1.7.0

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Fri Nov 11 2005 Peter Jones <pjones@redhat.com> - 1.6.10-1
- rebuild for new parted.
- add debugging options for make so debuginfo isn't useless

* Wed Nov  9 2005 Jeremy Katz <katzj@redhat.com> - 1.6.9-5
- rebuild for new parted

* Wed Aug 31 2005 Chris Lumens <clumens@redhat.com> 1.6.9-4
- Rebuilt for new parted library.

* Wed Mar 16 2005 Chris Lumens <clumens@redhat.com> 1.6.9-3
- Updated for gcc4 and python2.4.  Fixed build warnings.

* Tue Dec 14 2004 Jeremy Katz <katzj@redhat.com> - 1.6.9-2
- add support for sx8 devices

* Mon Nov  8 2004 Jeremy Katz <katzj@redhat.com> - 1.6.8-3
- rebuild for python 2.4

* Mon Oct 11 2004 Warren Togami <wtogami@redhat.com> - 1.6.8-2
- #135100 req python-abi (Robert Scheck)

* Tue Aug 17 2004 Jeremy Katz <katzj@redhat.com> - 1.6.8-1
- update for new parted ABI
  - device -> heads, sectors, cylinders now refer to the bios geometry
- require parted >= 1.6.12

* Thu Jul 22 2004 Jeremy Katz <katzj@redhat.com> - 1.6.7-3
- build on ppc64 again

* Thu May 13 2004 Jeremy Katz <katzj@redhat.com> - 1.6.7-1
- fix build for newer versions of gcc (fix from Jeff Law)

* Tue Mar 16 2004 Jeremy Katz <katzj@redhat.com> 1.6.6-2
- fix PARTITION_PROTECTED definition (#118451)

* Fri Mar 12 2004 Jeremy Katz <katzj@redhat.com>
- Initial build split out into separate source from the parted package.
- Don't build on ppc64 right now due to parted build problems (#118183)
